// Import required modules
import mongoose from "mongoose";
import { UserModel } from "../models/UserModel";
import * as dotenv from "dotenv";
import { api } from '../utils/api'

// Load the environment variables from the .env file
const dbconnect = async () => {
  dotenv.config();
  const url = process.env.MONGODB_URI;

if (!url) {
    throw new Error("MONGODB_URI is not defined in the .env file.");
}
  await mongoose
    .connect(url)
    .then(() => {
      console.log("Connected to MongoDB");
    })
    .catch((error) => {
      console.error("Error connecting to MongoDB:", error);
    });
}

export { dbconnect };
